<div>
	<!-- Action bar -->
	<md-toolbar ng-show="!(showSearch||showSort||showState)">
	  <div class="md-toolbar-tools">
		<md-menu
			ng-show="wbSeenMoreActions">
			<md-button 
			aria-label="Open phone interactions menu" 
			class="md-icon-button" 
			ng-click="$mdOpenMenu($event)">
			<wb-icon>more_vert</wb-icon>
			</md-button>
			<md-menu-content width="4">
				<md-menu-item
					ng-repeat="item in wbSeenMoreActions">
					<md-button 
						ng-click="item.action()">
						<wb-icon ng-show="item.icon">{{item.icon}}</wb-icon>
						<span translate>{{ item.title }}</span>
					</md-button>
				</md-menu-item>
			</md-menu-content>
		</md-menu>
	
	    <md-button ng-if="reload" ng-click="reload()">
	      <wb-icon>repeat</wb-icon>
	    </md-button>
	    <md-button 
	    	ng-show="wbSeenSortKeys"
	    	ng-click="showSort = !showSort">
	      <wb-icon>sort</wb-icon>
	    </md-button>
	    <span flex></span>
	    <md-button 
	    	aria-label="Search" 
	    	ng-click="showSearch = !showSearch">
	      <wb-icon>search</wb-icon>
	    </md-button>
	  </div>
	</md-toolbar>
	
	<!-- 	Search -->
	<md-toolbar class="md-hue-1" ng-show="showSearch">
	  <div class="md-toolbar-tools">
	    <md-button ng-click="showSearch = !showSearch" aria-label="Back">
	      <wb-icon>arrow_back</wb-icon>
	    </md-button>
	    <h3 flex="10" translate>Back</h3>
	    <md-input-container md-theme="input" flex>
	      <label>&nbsp;</label>
	      <input ng-model="temp.query" ng-keyup="$event.keyCode == 13 ? search(temp.query) : null">
	    </md-input-container>
	    <md-button aria-label="Search" ng-click="showSearch = !showSearch">
	      <wb-icon>search</wb-icon>
	    </md-button>
	  </div>
  </md-toolbar>
	  
	<!-- 	  Sort -->
	<md-toolbar 
		class="md-hue-1" 
		ng-show="showSort">
	  <div class="md-toolbar-tools">
	    <md-button ng-click="showSort = !showSort">
	      <wb-icon>arrow_back</wb-icon>
	    </md-button>
		<md-switch ng-model="query.sortDesc" aria-label="DESC">
			DESC sort order
		</md-switch>
		<span flex="10"></span>
		<div layout="row" layout-align="space-between center">
		   <span translate>Sort by : </span>
		   <md-select ng-model="query.sortBy">
		     <md-option
		     	ng-repeat="key in wbSeenSortKeys" 
		     	value="{{key}}" 
		     	translate>{{key}}</md-option>
		   </md-select>
		 </div>
	  </div>
	  </md-toolbar>
</div>